REM https://openjpeg.googlecode.com/files/openjpeg-2.0.0.tar.gz

set OSGEO4W_ROOT=C:\OSGeo4W64
set P=openjpeg
set V=2.0.0
set B=1

set R=..\..\..\release\%P%
mkdir %R%

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" x64
echo on
path %pf%\CMake 2.8\bin;%pf%\Microsoft Visual Studio 10.0\Common7\IDE;c:\cygwin\bin;%PATH%

mkdir build
cd build

cmake -G "Visual Studio 10 Win64" ^
	-D CMAKE_INSTALL_PREFIX=../install ^
	-D PNG_PNG_INCLUDE_DIR=%OSGEO4W_ROOT%/include ^
	-D PNG_LIBNAME=%OSGEO4W_ROOT%/lib/png16.lib ^
	-D ZLIB_INCLUDE_DIR=%OSGEO4W_ROOT%/include ^
	-D ZLIB_LIBRARY=%OSGEO4W_ROOT%/lib/zdll.lib ^
	-D TIFF_INCLUDE_DIR=%OSGEO4W_ROOT%/include ^
	-D TIFF_LIBNAME=%OSGEO4W_ROOT%/lib/libtiff_i.lib ^
	../..
if errorlevel 1 (echo cmake error ^ goto error)

devenv OPENJPEG.sln /Project ALL_BUILD /Build Release
if errorlevel 1 (echo build error ^ goto error)

devenv OPENJPEG.sln /Project INSTALL /Build Release
if errorlevel 1 (echo install error ^ goto error)

cd ..

copy setup.hint %R%\setup.hint
copy ..\LICENSE %R%\%P%-%V%-%B%.txt

tar -C install -cjf %R%\%P%-%V%-%B%.tar.bz2 bin/openjp2.dll include lib
tar -C .. -cjf %R%\%P%-%V%-%B%-src.tar.bz2 osgeo4w/package.cmd osgeo4w/setup.hint

exit

:error
